nary.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Linear
| Linear propagators

## Functions

template<class View>
void | Gecode::Float::Linear::eliminate_p (ModEventDelta med, ViewArray< View > &x, FloatVal &c)
template<class View>
void | Gecode::Float::Linear::eliminate_n (ModEventDelta med, ViewArray< View > &y, FloatVal &c)
bool | Gecode::Float::Linear::infty (const FloatNum &n)